SAVELOG(8)

NAZWA
savelog - zachowuje plik dziennika

SKŁADNIA
savelog [-m uprawnienia] [-u użytkownik] [-g grupa] [-t] [-p] [-c liczba_cykli] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r katalog] [-n] [-q] [-D format_daty] plik ...

OPIS
Polecenie savelog zachowuje i opcjonalnie kompresuje stare kopie plików. Starsze wersje pliku są nazywane:
    plik.<numer><sufix_kompresji>
gdzie <numer> jest numerem wersji, 0 oznacza najnowszą. Wersje o numerach > 0 są kompresowane, chyba że zostało to zabronione za pomocą opcji -l. Wersja 0 nie jest kompresowana, ponieważ proces może mieć wciąż otwarty plik i wykonywać na nim operacje wejścia/wyjścia. Tylko liczba_cykli wersji plików jest przechowywanych. Jeśli plik nie istnieje oraz podano opcję -t, to zostanie utworzony. W przypadku plików, które istnieją i mają rozmiar większy od zera, wykonywane są następujące akcje:

1)  Pliki z numerowanymi wersjami są przenoszone cyklicznie. Wersja plik.2 jest przenoszona do wersji plik.3, wersja plik.1 jest przenoszona do wersji plik.2 i tak dalej. W końcu wersja plik.0 jest przenoszona do wersji plik.1, a wersja plik.liczba_cykli jest usuwana. Zarówno skompresowane, jak i nieskompresowane nazwy plików są przenoszone cyklicznie, niezależnie od -l. Brakujące pliki wersji są ignorowane.

2)  Nowo utworzony plik.1 jest kompresowany, chyba że podano opcję -l. Następnie plik ten jest zmieniany zgodnie z ustawieniami opcji -m, -u oraz -g.

3)  Główny plik jest przenoszony do plik.0.

4)  Jeśli podano opcje -m, -u, -g, -t lub -p, to tworzony jest pusty plik, zgodnie z ustawieniami tych opcji. Opcja -p powoduje, że uprawnienia do pliku będą takie same, jak poprzednio.

5)  Nowy plik.0 jest zmieniany zgodnie z ustawieniami wynikającymi z opcji -m, -u i -g.

OPCJE

-m uprawnienia
    ustawia prawa dostępu do plików na podane uprawnienia, włącza -t

-u użytkownik
    zmienia właściciela plików na podanego użytkownika, włącza -t

-g grupa
    zmienia grupę będącą właścicielem pliku na podaną grupę, włącza -t

-c liczba_cykli
    ustawia liczbę cykli wersji pliku dziennika (domyślnie: 7). Liczba_cykli musi wynosić co najmniej 2.

-t  tworzy nowy plik dziennika, jeśli nie istnieje

-l  nie kompresuje żadnych plików dziennika (domyślnie: kompresuje)

-p  zachowuje właściciela, grupę i uprawnienia pliku dziennika

-j  używa bzip2 zamiast gzip do kompresowania

-J  używa xz zamiast gzip do kompresowania W przypadku kompresowania xz nie można ustawić siły kompresji, ponieważ xz samoczynnie przyjmuje pewną wartość domyślną zależną od całkowitego rozmiaru fizycznej pamięci RAM. Proszę zauważyć, że xz może użyć całkiem sporej ilości pamięci w przypadku wyższych poziomów kompresji.

-1 .. -9
    siła kompresji lub użycie pamięci (domyślnie: 9, z wyjątkiem kompresji xz)

-C  wymusza usunięcie cyklicznie przeniesionych plików dziennika

-d  używa standardowej daty do obracania

-D format_daty
    nadpisuje format daty w postaci [MMDDhhmm[[CC]YY][.ss]]

-r  używa katalogu zamiast katalogu bieżącego do zapisywania plików wersji

-n  nie rotuje pustych plików

-q  tryb cichy

BŁĘDY
Jeśli proces wciąż zapisuje dane do plik.0, a savelog zmieni jego nazwę na plik.1 i skompresuje go, to dane mogą zostać utracone.

ZOBACZ TAKŻE
logrotate(8)

TŁUMACZENIE
Niniejsze tłumaczenie jest częścią pakietu debianutils. Strony podręcznika zawarte w pakiecie przetłumaczyli: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl>, Michał Kułach <michal.kulach@gmail.com> oraz Robert Luberda <robert@debian.org>.